Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayout

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      groovy.swing.impl.TableLayout

    class TableLayout
    extends JPanel

Represents a HTML style table layout

author:
  James Strachan

version:
  $Revision: 10744 $

Field Summary

Fields inherited from class JPanel
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class JComponent
WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Container
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Fields inherited from class Component
TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT

Constructor Summary
`TableLayout()`

Method Summary
`void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
`int` | `getCellpadding()`
`Component` | `getComponent()`
`int` | `nextRowIndex()` Creates a new row index for child
tags
`void` | `setCellpadding(int cellpadding)`

Methods inherited from class JPanel
getAccessibleContext, getUI, getUIClassID, setUI, updateUI, contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, paint, removeNotify, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, setOpaque, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class JComponent
contains, getLocation, print, getSize, isOpaque, disable, enable, update, setEnabled, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, addNotify, getAccessibleContext, getAlignmentX, getAlignmentY, getInsets, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, paint, removeNotify, requestFocus, requestFocus, setFocusTraversalKeys, setFont, getBaseline, getBaselineResizeBehavior, getBounds, getFontMetrics, getGraphics, getHeight, getWidth, getX, getY, isDoubleBuffered, printAll, repaint, repaint, requestFocusInWindow, reshape, setBackground, setForeground, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, addAncestorListener, getUIClassID, setOpaque, updateUI, addVetoableChangeListener, computeVisibleRect, createToolTip, getActionForKeyStroke, getActionMap, getAncestorListeners, getAutoscrolls, getBorder, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, isLightweightComponent, isManagingFocus, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setInheritsPopupMenu, setInputMap, setInputVerifier, setNextFocusableComponent, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, add, add, add, add, add, remove, remove, list, list, removeAll, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusDownCycle, add, toString, getName, contains, size, getLocation, getParent, remove, setName, list, list, list, getSize, setSize, setSize, resize, resize, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getForeground, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Container
add, add, add, add, add, remove, remove, list, list, print, removeAll, update, validate, invalidate, getLayout, setLayout, layout, getComponent, getComponents, addPropertyChangeListener, addPropertyChangeListener, getListeners, getComponentCount, getComponentAt, getComponentAt, addContainerListener, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, locate, minimumSize, paint, paintComponents, preferredSize, printComponents, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, isValid, location, action, setLocation, setLocation, setLocale, getLocale, setEnabled, isEnabled, show, show, hide, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, dispatchEvent, getAccessibleContext, getFocusCycleRootAncestor, getFont, getGraphicsConfiguration, getMousePosition, getPeer, getTreeLock, handleEvent, isDisplayable, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, postEvent, requestFocus, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Component
add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, remove, setName, list, list, list, list, list, print, getSize, getSize, setSize, setSize, resize, resize, isOpaque, disable, enable, enable, update, isValid, location, action, setLocation, setLocation, setLocale, validate, getLocale, invalidate, setEnabled, isEnabled, layout, show, show, hide, addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, getListeners, getPropertyChangeListeners, getPropertyChangeListeners, getComponentAt, getComponentAt, addNotify, applyComponentOrientation, areFocusTraversalKeysSet, deliverEvent, dispatchEvent, doLayout, getAccessibleContext, getAlignmentX, getAlignmentY, getFocusCycleRootAncestor, getFocusTraversalKeys, getFont, getGraphicsConfiguration, getMaximumSize, getMinimumSize, getMousePosition, getPeer, getPreferredSize, getTreeLock, handleEvent, isDisplayable, isFocusCycleRoot, isFocusOwner, isFocusable, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isVisible, locate, minimumSize, paint, postEvent, preferredSize, removeNotify, requestFocus, setFocusTraversalKeys, setFont, transferFocus, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getToolkit, getWidth, getX, getY, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDoubleBuffered, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, repaint, requestFocusInWindow, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setForeground, setIgnoreRepaint, setMaximumSize, setMinimumSize, setPreferredSize, setVisible, transferFocusBackward, transferFocusUpCycle, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TableLayout

    public TableLayout()

Method Detail

### addCell

    public void addCell(TableLayoutCell cell)

  Adds a new cell to the current grid
  param:
    cell the td component

### getCellpadding

    public int getCellpadding()

### getComponent

    public Component getComponent()

  deprecated:
    Simply returns this
  return:
    this

### nextRowIndex

    public int nextRowIndex()

  Creates a new row index for child
  tags
  return:
    nextRowIndex the row number

### setCellpadding

    public void setCellpadding(int cellpadding)

Copyright © 2003-2009 The Codehaus. All rights reserved.